%define name 	gnome-swallow
%define version 1.2
%define release %mkrel 2

Summary: 	Embeds small programs into the GNOME panel
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
URL:		http://www-unix.oit.umass.edu/~tetron/technology/swallow/
Group: 		Graphical desktop/GNOME
Source: 	%{name}-%{version}.tar.bz2
Buildroot: 	%_tmppath/%{name}-root
BuildRequires: 	gnome-panel-devel

%description
An applet for GNOME2 that allows any small application to be embedded into
the panel.  In this case embedded means physically shrunk into the panel, not
just an icon or an applet.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall
rm -fr %buildroot/%_docdir/*
%if %_lib != lib
mv %buildroot%_prefix/lib %buildroot%_libdir
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog
%{_libdir}/bonobo/servers/GNOME_Swallow.server
%{_libdir}/gnome-panel/gnome_swallow


%changelog
* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 1.2-2mdv2007.0
+ Revision: 108668
- Import gnome-swallow



* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 1.2-2mdv2007.1
- fix buildrequires

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 1.2-2mdk
- fix paths for x86_64

* Fri Sep 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- new version

* Sat Jul 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- configure2_5x macro
- rebuild for new orbit

* Tue Apr 15 2003 Austin Acton <aacton@yorku.ca> 1.1-1mdk
- 1.1
- add URL

* Wed Apr 9 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- initial package
